Home > HowTo > Java im Firefox 3.6 unter Linux

Java im Firefox 3.6 unter Linux

Nach dem Update meines geliebten FF auf die Version 3.6 stieg mein Java aus…

Ursache ist, dass der FF 3.6 mindes Java 6 Update 10 benötigt. Dieses wir auch nicht mehr über die libjavaplugin_oji.so im FF eingebunden, sondern über die libnpjp2.so.

Also was machen? Neueste Version herunterladen und korrekt verlinken:

Download unter: http://www.java.com/de/download/manual.jsp

Danach die selfextracting Binary nach /opt entpacken und ins Plugin Verzeichnis von Firefox wechseln.

cd /opt/firefox/plugins
ln -s /opt/jre1.6.0_18/lib/i386/libnpjp2.so .

Danach den Firefox neu starten und schon klappt es wieder mit Java. BTW: Eine Testseite ob das Javaplugin läuft:

http://www.java.com/de/download/help/testvm.xml

KategorienHowTo Tags: , , , , ,